if ( 'querySelectorAll' in document) {

	(function() {
	const headings = document.querySelectorAll('.wp-block-yoast-faq-block .schema-faq-question')

	Array.prototype.forEach.call(headings, heading => {
	  heading.innerHTML = `
		<button aria-expanded="false"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"><path d="M9 18l6-6-6-6"/></svg> ${heading.textContent}</button>
	  `;
	  const getContent = (elem) => {
		let elems = [];
		while (elem.nextElementSibling && elem.nextElementSibling.className === 'schema-faq-answer') {
		  elems.push(elem.nextElementSibling);
		  elem = elem.nextElementSibling;
		}
		elems.forEach((node) => {
		  node.parentNode.removeChild(node);
		})
		return elems;
	  }
	  let contents = getContent(heading);
	  let wrapper = document.createElement('div');
	  wrapper.hidden = true;
	  contents.forEach(node => {
		wrapper.appendChild(node);
	  })
	  heading.parentNode.insertBefore(wrapper, heading.nextElementSibling);
	  let btn = heading.querySelector('button');
	  btn.onclick = () => {
		let expanded = btn.getAttribute('aria-expanded') === 'true' || false;
		btn.setAttribute('aria-expanded', !expanded);
		wrapper.hidden = expanded;   
	  }
	})
  })()
  }